For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Expense object
          • GET/expenses
          • POST/expenses
          • GET/expenses/{id}
          • GET/expenses/lines/remote-field-classes
          • GET/expenses/meta/post
          • GET/expenses/remote-field-classes
          • POST/expenses/bulk
          • GET/expenses/bulk/{batch_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsExpenses

/expenses/bulk/{batch_id}

GET
/accounting/v1/expenses/bulk/:batch_id
GET
/api/accounting/v1/expenses/bulk/:batch_id
$curl https://api.merge.dev/api/accounting/v1/expenses/bulk/batch_id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "batch_id": "d0a3ca3e-2d7a-44cd-a94b-bda805f23b5",
3 "status": "ENQUEUED",
4 "total_count": 1,
5 "objects": [
6 {
7 "item_id": "string",
8 "status": "SUCCESS",
9 "response": {
10 "merge_common_model_id": "string",
11 "error_message": "string"
12 }
13 }
14 ]
15}

Returns the status and results of an Expense bulk create batch.

Was this page helpful?
Previous

/expenses/bulk

Next

The GeneralLedgerTransaction object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

batch_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

batch_idstringformat: "uuid"
The ID of the batch.
statusenum

Possible overall statuses:

  • ENQUEUED - The request has been received and a task has been enqueued for processing
  • IN_PROGRESS - The enqueued task is being processed
  • PARTIAL_SUCCESS - The task has been processed, but not all objects were written successfully
  • SUCCESS - The task has been processed, and all objects were written successfully
  • FAILED - The task has been processed, but ran into an error while processing
  • RATE_LIMITED - The request was received but ran into rate limits while processing. The rate limited objects are being retried.
total_countinteger
The total number of objects in the batch.
objectslist of objects